summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-08-28 14:29:07 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:14 -0500
commitb25a6e9062f83ea6e444ba2a36e1e89aae228193 (patch)
tree418c2763fd5ab9606d1befe9cf342d1273b2ee6a /development
parent80e6f79cbeefee53598a2b9c37585f551a0580e4 (diff)
downloadslackbuilds-b25a6e9062f83ea6e444ba2a36e1e89aae228193.tar.gz
slackbuilds-b25a6e9062f83ea6e444ba2a36e1e89aae228193.tar.xz
development/sqlitebrowser: Added (GUI editor for SQLite databases)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/sqlitebrowser/README5
-rw-r--r--development/sqlitebrowser/slack-desc19
-rw-r--r--development/sqlitebrowser/sqlitebrowser.SlackBuild74
-rw-r--r--development/sqlitebrowser/sqlitebrowser.info10
4 files changed, 108 insertions, 0 deletions
diff --git a/development/sqlitebrowser/README b/development/sqlitebrowser/README
new file mode 100644
index 0000000000..9c9f58ac57
--- /dev/null
+++ b/development/sqlitebrowser/README
@@ -0,0 +1,5 @@
+SQLite Database Browser is a freeware, public domain, open source visual
+tool used to create, design and edit database files compatible with
+SQLite. It is meant to be used for users and developers that want to
+create databases, edit and search data using a familiar spreadsheet-like
+interface, without the need to learn complicated SQL commands.
diff --git a/development/sqlitebrowser/slack-desc b/development/sqlitebrowser/slack-desc
new file mode 100644
index 0000000000..a22b30aaaf
--- /dev/null
+++ b/development/sqlitebrowser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sqlitebrowser: sqlitebrowser (light QT-based GUI editor for SQLite databases)
+sqlitebrowser:
+sqlitebrowser: SQLite Database Browser is a freeware, public domain, open source
+sqlitebrowser: visual tool used to create, design and edit database files compatible
+sqlitebrowser: with SQLite. It is meant to be used for users and developers that want
+sqlitebrowser: to create databases, edit and search data using a familiar
+sqlitebrowser: spreadsheet-like interface, without the need to learn complicated SQL
+sqlitebrowser: commands.
+sqlitebrowser:
+sqlitebrowser: Homepage: http://sqlitebrowser.sourceforge.net/
+sqlitebrowser:
diff --git a/development/sqlitebrowser/sqlitebrowser.SlackBuild b/development/sqlitebrowser/sqlitebrowser.SlackBuild
new file mode 100644
index 0000000000..e5fc9d0e3b
--- /dev/null
+++ b/development/sqlitebrowser/sqlitebrowser.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for sqlitebrowser
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sqlitebrowser
+VERSION=${VERSION:-2.0b1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf trunk
+tar xvf $CWD/${PRGNAM}_200_b1_src.tar.gz
+cd trunk/$PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake
+make
+mkdir -p $PKG/usr/bin
+cp $PRGNAM/$PRGNAM $PKG/usr/bin/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PRGNAM/LICENSING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/sqlitebrowser/sqlitebrowser.info b/development/sqlitebrowser/sqlitebrowser.info
new file mode 100644
index 0000000000..aaa8470f20
--- /dev/null
+++ b/development/sqlitebrowser/sqlitebrowser.info
@@ -0,0 +1,10 @@
+PRGNAM="sqlitebrowser"
+VERSION="2.0b1"
+HOMEPAGE="http://sqlitebrowser.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sqlitebrowser/sqlitebrowser_200_b1_src.tar.gz"
+MD5SUM="5ca3d41cca454235b93ce72cd585dfe3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"